=== plugins/unity-mt-grab-handles/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (unitymtgrabhandles PLUGINDEPS composite opengl)
