=== debian/changelog ===
unity (4.30.0-0ubuntu1) oneiric-proposed; urgency=low

  [ Francis Ginther ]
  * Updated build dependencies on the renamed libgrail and libgeis
    (LP: #1047385)

  [ Łukasz 'sil2100' Zemczak ]
  * New upstream release.
    - Update dependency on renamed geis (LP: #1047385)
  * Removed debian/patches/add_postrelease_buildfix.patch

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 12 Sep 2012 15:34:05 +0200

unity (4.28.0-0ubuntu2) oneiric-proposed; urgency=low

  * Cherry-pick some additional fixes:
    - fix a regression where transparency is setup on the panel (LP: #830949)
    - the wrong commit causing a crash was revert. Revert the revert and
      revert the right guilty commit.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 19 Jan 2012 09:54:44 +0100

unity (4.28.0-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    - don't segfault in geis_configuration_get_value() (lp: #850623)
    - get focus on dash by pressing the super key first time after login 
      (lp: #860805)
    - clicking on panel when dash is open no longer causes maximized window 
      to raise (lp: #873100)
    - window management, alt-tab - After using 'show desktop' to minimise all 
      windows, opening any new window also incorrectly restores all 
      the minimised windows (lp: #871801)
    - compiz crashed with SIGSEGV in 
      unity::switcher::SwitcherModel::DetailSelectionWindow() (lp: #834630)
    - compiz crashed with SIGSEGV in g_strcmp0() (lp: #832151)
    - compiz crashed with SIGSEGV in nux::BaseWindow::GetInputWindowId() 
      (when onboard is used) (lp: #865890)
    - fix multi-monitor crashers (lp: #838128, #864037, #864784, #868120)
    - Fix SIGSEGV after SwitcherController desctruction (lp: #887465)
    - Fix for "right-clicking launcher when choosing a workspace causes
      quicklists to freeze" (lp: #791810)
  * debian/patches/add_postrelease_buildfix.patch:
    - add post-release fix to build in a clean env
  * backport some additional reverts or regression fixes

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 06 Jan 2012 09:42:04 +0100

unity (4.24.0-0ubuntu2.1) oneiric-proposed; urgency=low

  * Backported fix for lp: #856205
    "run the wrong command if enter is hit before the view is refreshed"

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Dec 2011 18:48:44 +0100

unity (4.24.0-0ubuntu2b1) oneiric-proposed; urgency=low

  * No-change reupload because of broken powerpc build.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Oct 2011 07:01:51 +0200

unity (4.24.0-0ubuntu2) oneiric-proposed; urgency=low

  * Cherry-pick upstream:
    - SRU0-Regression: scrollbar displacement caused dash rows to show less
      icons (LP: #875023)
    - Really reverts the UI change that was still uploaded even if we had
      reverted it…

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 18 Oct 2011 12:47:54 +0200

unity (4.24.0-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release and some cherry-pick:
    - compiz crashed with SIGSEGV in PluginClassHandler<UnityWindow,
      CompWindow, 0>::get() (LP: #864758)
    - unity panel menus don't stay open when clicked on second monitor
      (LP: #869196)
    - (oneiric) menu bar in wrong place and invisible (LP: #845856)
    - Lens range widgets do not function correctly (LP: #862996)
    - Cannot raise window from panel after minimize (LP: #863114)
    - unity-panel-service crashed with SIGSEGV in g_closure_invoke()
      (LP: #843280)
    - Windows get corrupted sometimes when semi-maximizing them. (LP: #865177)
    - Automaximization happens on unminimize (LP: #868930)
    - compiz crashed with SIGSEGV in nux::ROProperty<std::string>::operator
      std::string() (LP: #869109)
    - Dash - horizental divider line in between categories incorrectly drawn
      (LP: #841750)
    - F10 opens a random menu item when it should open the first one
      [regression] (LP: #862849)
    - Switching desktops after using showdesktop can cause hidden windows to
      become "active" (LP: #864503)
    - Clicking blank space on top panel doesn't raise maximized window to
      front (LP: #864708)
    - unity launcher loses track of deja-dup windows (LP: #865051)
    - Dash - App Lens 'Rating' filter behaves incorrectly (LP: #865482)
    - Launcher does not show on "Show desktop" (LP: #867959)
    - ibus character selection window not drawn (LP: #867885)
    - the dash's entry get wrongly colored on left or right key use
      (LP: #868434)
    - [ibus] Pressing down when ibus is active moves focus (LP: #872730)
    - Double-click on the dash top panel is taken effect on the window
      underneith (LP: #870844)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 17 Oct 2011 09:20:09 +0200
