=== debian/control ===
Source: unity
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.0.50~),
               dh-translations (>= 94),
               pkg-config,
               intltool (>= 0.35.0),
               libsigc++-2.0-dev,
               libgee-dev (>= 0.5.0),
               libunique-dev,
               libbamf3-dev (>= 0.2.92),
               gsettings-desktop-schemas-dev,
               libgconf2-dev,
               libglib2.0-dev (>= 2.22.2-0ubuntu1wncksync3),
               libdbusmenu-glib-dev (>= 0.3.91),
               libgnome-desktop-dev,
               libgtk2.0-dev (>= 2.18.0),
               libgtk-3-dev (>= 3.1),
               libcairo2-dev,
               libpango1.0-dev,
               libdee-dev (>= 0.5.4),
               libindicator-dev (>= 0.3.90),
               libindicator3-dev (>= 0.3.90),
               libunity-misc-dev (>= 4.0.4),
               libgrail-dev (>= 1.0.20),
               libxcb-icccm4-dev,
               libnux-1.0-dev (>= 1.12.0),
               compiz-dev (>= 1:0.9.5.94+bzr2803-0ubuntu1~),
               libcompizconfig0-dev (>= 0.9.2.1git101125),
               xsltproc,
               libboost1.46-dev,
               libboost-serialization1.46-dev,
               libnotify-dev,
               libstartup-notification0-dev,
               libatk1.0-dev,
               libjson-glib-dev,
               libgeis-dev (>= 2.0.10),
               libgnome-desktop-3-dev,
               libunity-dev (>= 4.0.2~),
Standards-Version: 3.9.2
Homepage: https://launchpad.net/unity
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/unity/oneiric

Package: unity
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-common (= ${source:Version}),
         compiz,
         compiz-core, compiz-core-abiversion-${coreabiversion},
         compiz-plugins-main-default,
         libglib2.0-bin,
         python,
         nux-tools,
         unity-asset-pool (>= 0.8.18)
Provides: indicator-renderer,
          netbook-launcher
Conflicts: netbook-launcher (<< 1:2.1.18-0ubuntu2)
Replaces: netbook-launcher (<< 1:2.1.18-0ubuntu2),
          unity-common (<< 4.0.1-0ubuntu2~)
Recommends: unity-lens-applications,
            unity-lens-files,
            unity-lens-music,
            indicator-appmenu,
            indicator-application,
            indicator-sound,
            indicator-datetime,
            indicator-messages,
            indicator-power,
            indicator-session,
Breaks: compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu5),
        bamf (<< 0.2.76),
Description: Interface designed for efficiency of space and interaction.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.

Package: unity-services
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Replaces: unity (<< 4.0.1-0ubuntu1~),
          unity-common (<< 4.0.1-0ubuntu2~),
Description: Services for the Unity interface
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains the dbus service used for unity and unity-2d.

Package: unity-common
Architecture: all
Depends: ${misc:Depends},
         python,
Replaces: unity (<< 4.0.1-0ubuntu1~)
Conflicts: unity (<< 3.2.2-0ubuntu3)
Description: Common files for the Unity interface.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains commons file that are architecture independent.

Package: libunity-core-4.0-4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         unity-services (= ${binary:Version}),
Description: Core library for the Unity interface.
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains shared libraries to be used by unity-3d and unity-2d.

Package: libunity-core-4.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libunity-core-4.0-4 (= ${binary:Version}),
         libglib2.0-dev,
         libsigc++-2.0-dev,
         libnux-1.0-dev (>= 1.0.2),
         libunity-dev (>= 4.0.0~),
         libdee-dev,
Description: Core library for the Unity interface - development files
 Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
 community, Unity is all about the combination of familiarity and the future. We
 bring together visual design, analysis of user experience testing, modern
 graphics technologies and a deep understanding of the free software landscape
 to produce what we hope will be the lightest, most elegant and most delightful
 way to use your PC.
 .
 This package contains development files for libraries to be used by unity-3d
 and unity-2d.

Package: netbook-launcher
Section: oldlibs
Architecture: all
Depends: unity, ${misc:Depends}
Description: transitional package
 unity supersedes netbook-launcher. This package ensures a clean upgrade path,
 and can be safely removed after the upgrade.
